<div class="mat-app-background basic-container">
	<mat-toolbar class="example-toolbar">
		<button mat-icon-button (click)="isExpanded = !isExpanded">
			<mat-icon>menu</mat-icon>
		</button>
		<h1 class="example-app-name">Contract Portal</h1>
		<div [ngStyle]="{'margin-left' : 'auto'}">
			<button mat-icon-button >
				<mat-icon>notifications</mat-icon>
			</button>
			<button mat-icon-button>
				<mat-icon>account_circle</mat-icon>
			</button>
			<button mat-button [matMenuTriggerFor]="menu">
				UserName
			</button>
			<mat-menu #menu="matMenu">
				<a mat-menu-item> User Preferences
				</a>
				<a mat-menu-item> Account Settings
				</a>
				<a mat-menu-item (click)="onLogout($event)"> Logout
				</a>
			</mat-menu>
		</div>
	</mat-toolbar>
	<mat-sidenav-container class="example-container" autosize>
		<mat-sidenav #sidenav class="example-sidenav custom-sidemenu__styles" mode="side" opened="true">
			<mat-nav-list>
				<mat-list-item class="parent" *ngFor="let item of sideMenuOptions">
					<span class="full-width" *ngIf="isExpanded || isShowing">{{item.text}}</span>
					<mat-icon mat-list-icon>{{item.icon}}</mat-icon>
				</mat-list-item>
			</mat-nav-list>
		</mat-sidenav>

		<div>
			<mat-grid-list cols="4" rowHeight="170px" gutterSize="10px">
				<mat-grid-tile *ngFor="let tile of tiles" [colspan]="tile.cols" [rowspan]="tile.rows"
					[style.background]="tile.color">
				</mat-grid-tile>
			</mat-grid-list>
		</div>
	</mat-sidenav-container>
</div>